package com.elab.test.mongodb.entity;

import java.util.List;

/**
 * @author Liukx
 * @create 2018-05-03 11:16
 * @email liukx@elab-plus.com
 **/
public class User {

    private String username;
    private String password;
    private String id;
    private List<String> arrayData;

    public User(String username, String password, String id) {
        this.username = username;
        this.password = password;
        this.id = id;
    }

    public User() {
    }

    public User(String username, String password, String id, List<String> arrayData) {
        this.username = username;
        this.password = password;
        this.id = id;
        this.arrayData = arrayData;
    }

    public List<String> getArrayData() {
        return arrayData;
    }

    public void setArrayData(List<String> arrayData) {
        this.arrayData = arrayData;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
}
